# SoVRMLWorldInfo Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLWorldInfo.h>`

Inheritance diagram for SoVRMLWorldInfo:

List of all members.

## Detailed Description

The SoVRMLWorldInfo class contains information about the VRML scene.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      WorldInfo {
        field MFString info  []
        field SFString title ""
      }

The WorldInfo node contains information about the world. This node is strictly for documentation purposes and has no effect on the visual appearance or behaviour of the world. The title field is intended to store the name or title of the world so that browsers can present this to the user (perhaps in the window border). Any other information about the world can be stored in the info field, such as author information, copyright, and usage instructions.

## Public Member Functions

| SoVRMLWorldInfo (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFString | title
SoMFString | info

## Protected Member Functions

virtual | ~SoVRMLWorldInfo ()

## Constructor & Destructor Documentation

SoVRMLWorldInfo::SoVRMLWorldInfo | ( | void |  | ) |

| Constructor.

SoVRMLWorldInfo::~SoVRMLWorldInfo | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLWorldInfo::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

## Member Data Documentation

SoSFString SoVRMLWorldInfo::title

| World title strings.

SoMFString SoVRMLWorldInfo::info

| Info strings.

The documentation for this class was generated from the following files:

- SoVRMLWorldInfo.h
- WorldInfo.cpp